Subject: [os2genau_digest] No. 1682
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 29 Jul 2008 00:00:49 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 28 July 2008
 Number  1682
**************************************************

Subjects for today
 
1  Re:  Interfacing to Nikon D40 from eCS : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  Interfacing to Nikon D40 from eCS : David <dsh43871 at bigpond dot net dot au>
3   Tesseract : Alan Duval <amoht at westnet dot com dot au>
4  Re:  Tesseract : Voytek Eymont" <voytek at sbt dot net dot au>
5  Re:  Tesseract : Voytek Eymont" <voytek at sbt dot net dot au>
6  Re:  Tesseract : Voytek Eymont" <voytek at sbt dot net dot au>

**= Email   1 ==========================**

Date:  Mon, 28 Jul 2008 07:27:44 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Interfacing to Nikon D40 from eCS

Kris Steenhaut wrote:
> Ed Durrant ha scritto:
>> Hi,
>>
>>  Is anyone using a Nikon Digital SLR ? It appears to me that they are 
>> using some weird interpretation of the FAT32 file system. The camera 
>> can connect in  ...  or PSP mode via USB
> You do mean PTP, don't you?
>
>
>
>> and even taking the (SDHC) card out and putting it in a card reader 
>> still does nor allow Fotoget/2 or the OS to see the data on the card. 
>> It is directly accessible from Windoze of course, just not with the 
>> OS/2 FAT32 driver. I have the same issue whether I use a 4GB or an 8 
>> GB card.
>>
> If PTP, why bother with MSD?
>
> PTP is absolutely safe and easy to handle. OTOH, you have to set your 
> cam explisitely to PTP as eCS can't cope with auto (AUTO switch 
> MSD-PTP). It's safe as the computer can't fiddle nor mess up  your 
> data on the memory card.
>
> I'm using a 4 memory card, which is plenty of enough.
>
Hi Kris, hope you are well, haven't heard from you for a while. Yes I 
did mean PTP not PSP, my typo. I now have cameraderie installed and 
working fine.

It was also suggested that the Netdrive FAT32 plugin would work where 
the straight FAT32 support does not, but I'm happy using Cameraderie, so 
I'll stick with that.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 28 Jul 2008 20:10:54 +1000
From:  David <dsh43871 at bigpond dot net dot au>
Subject:  Re:  Interfacing to Nikon D40 from eCS

Ed Durrant wrote:
> Kris Steenhaut wrote:
>> Ed Durrant ha scritto:
>>> Hi,
>>>
>>>  Is anyone using a Nikon Digital SLR ? It appears to me that they 
>>> are using some weird interpretation of the FAT32 file system. The 
>>> camera can connect in  ...  or PSP mode via USB
>> You do mean PTP, don't you?
>>
>>
>>
>>> and even taking the (SDHC) card out and putting it in a card reader 
>>> still does nor allow Fotoget/2 or the OS to see the data on the 
>>> card. It is directly accessible from Windoze of course, just not 
>>> with the OS/2 FAT32 driver. I have the same issue whether I use a 
>>> 4GB or an 8 GB card.
>>>
>> If PTP, why bother with MSD?
>>
>> PTP is absolutely safe and easy to handle. OTOH, you have to set your 
>> cam explisitely to PTP as eCS can't cope with auto (AUTO switch 
>> MSD-PTP). It's safe as the computer can't fiddle nor mess up  your 
>> data on the memory card.
>>
>> I'm using a 4 memory card, which is plenty of enough.
>>
> Hi Kris, hope you are well, haven't heard from you for a while. Yes I 
> did mean PTP not PSP, my typo. I now have cameraderie installed and 
> working fine.
>
> It was also suggested that the Netdrive FAT32 plugin would work where 
> the straight FAT32 support does not, but I'm happy using Cameraderie, 
> so I'll stick with that.
>
> Cheers/2
>
> Ed.
 
>
> 

>
I know it probably sounds stupid but did you try using DFSEE to make the 
Camera LVM aware - I find you have to do that now with USB sticks.

David
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 28 Jul 2008 21:47:37 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:   Tesseract

Hi,

I've been doing a lot of OCR work lately with Tesseract. I scan 
documents into C:\OCR where I also have Tesseract. The images are 
recorded as  image001.tif with the next image being image002.tif etc.
I then have to go to an os2 prompt, change to C:\OCR and type  
"tesseract imageNNN.tif  NNN" where NNN is the image number, and that 
converts it to a file NNN.txt.  Then I have to click on the txt file and 
thus open it in text viewer. Then I have to copy that across to a word 
processor.
A lot of steps are involved. It would be great if I could simply double 
click on the image file and have it opened as text in a word processor.
With the help of Kris I have made a program object and put the following 
lines in:

Program field:              C:\OCR\tesseract.exe
Parameters:                   image[N1].tif  [N2]
Working directory:     C:\OCR

Now when I click on the program object a window comes up asking for the 
value of N1 which I type in and press enter. Then the same happens for 
N2 and the image is processed. With my word processor opened I can then 
open the file and correct any mistakes.

Kris suggests that a REXX program could be written to simplify further 
the process.
AS I don't know REXX I wonder whether someone could help?

Regards,

Alan Duval
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Mon, 28 Jul 2008 22:34:12 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Tesseract

<quote who="Alan Duval">

> I've been doing a lot of OCR work lately with Tesseract. I scan
> documents into C:\OCR where I also have Tesseract.

is Tesseract the 'best OCR' there is ?

being somewhat curious, I've installed T 2.01 (following this email), and,
tried it as follows:

0[roman][F:\ute\tesseract\usr\bin]tesseract.exe F:\FAXBANKSIA\FX006309.FAX
test
-l eng

it took about 60 seconds, and, the results (small typeface letter) were
somewhat not so great...

by contrast, OCRing same file with PMfax took half the time, 24 secs, with
somewhat better results:

PMfax OCR (24 secs)
----
24 secs

                   ABN675053373615
                   Ene,gyA,t,-,I,,
                   CPO BOX  doog
                   , at n&YNSW2001
                   Te at , 13 15 35

                   3  July  200B
                   Acc.unt Number 111111111

                               MR VOYTEK EYMONT

                   It's smart it's easy, it saves

                   Dear Mr Eymont

                   Good news! VVe'll be in your area in the next couple of
weeks and we'd like to, offer yoti an easy way to help 
the  environment  An
                   EnergySave Check Up is a simple service - free of
charge* - that can help you to reduce your energy
consumphor

                   Your EnergySave Check Up is perfdrmed in your home by
an approved EnergyAustralia representa at ve. It includes
                         *    
theinstallabonofuptosixcornpactfluorescentenergysavinglightbulbsto
replaceenergyinefficientincandescentbulbs;
                         *    
thereplaoementofuptotwoinefficientshowerheadsinyouhomewithlcwflowshowerheads,
                         *     scme general tips c)n how you can save
energy at  and
                         *     a whtten report after the check up is
oomplete.

                   Smart Ways to Save vath Energysave

                   Energy etricient lightbulbs
                   You probably know that energy efficieni lighthulbs are
better for the environment but did you know they use up
to  8D%  less  energy
                   than regular bulbs? They also last up to fifteen bmes
longer and have lower greenhl)use gas emissions than
incandescent bulbs.

                   Water Saving devices:
                   Using a low flow shoyverhead to replace an old
showerhead can reduce your water usage in  the  shower 
by  up  to  40%  meaning  you
                   consume less hctwater and therefore leas energy. It's
good news for everyone!

                   General tips on using less:
                   TherB are so many things around the home you can do to
use less energy like using gas instead of electdcity
for cooking and  heating
                   or even getting rid of a spare f at dge. As part of the
EnergySave Check Up, our installers w]] help identify
areas in your home  where
                   ycu col]id use less energy.

                   This offer expires on 1 August 2008 so please call 1800
884 899 or v sit energy dot com dot au and fu ow Lhe 
EnergySave  link  to  make  an
                   appointment. Why not arrange it today - it's smart, its
simple and it saves.

                   Yours sincerely,

                   Mike   Bailey
                   Executive General Manager - Retail

                   Supporked bythe NSW GovernmenVs Energy Savings Fund

                   A55ignment of rights

                   'There is no monetary fee payable but you wli need la
assign to EnergyAustra ia aii emission reduction rights
assmiatedMth the
                   service. If you want to become 'carbon neutral' in the
fLAure you may also need to purchase extra offsets to
reflect the rights assigned
       E           under this sewice

       z

----
Tessaract (58 secs)
-----
I 1 r V ÔÇ&#347;ÔÇÖ&#9516;&#282;ÔÇ&#347; ?  
V&#9516;&#282;&#9516;&#282;ÔÇ&#347;
&#9516;&#9559;&#9516;&#282;&#9516;&#260;~ 67 M 33735*5 ~ Q    
'ÔÇ&#347;ÔÇÖ`   ?&#9516;&#282; `*A"%%%ÔÇ&#347; T' Y AA&#9516;&#9559;ÔÇÖ J
ÔÇ&#347;
EnergyAusrnaha - _ ÔÇ&#347; V &#9516;&#282;   ,     r Z ?&#9516;&#282;   '
sydney xvswzaaz l.,     ÔÇ&#347; [ r : &#9516;&#282;
rel- rs rs as     ÔÇ&#347; , ÔÇÖ V     ~ .
  ÔÇ&#347; -1 :
www &#9516;&#260;~&#9516;&#260;&#9516;&#282;&#9516;&#9559;yw>--av   .
.. : .$$V   A&#9516;ó&#9516;óV   . &#9516;ó-iv   ..   1 . &#9516;&#282;
&#9516;óV,&#9516;ó
 r&#9516;&#282;&#9516;&#9559;r5;&#9516;&#282;;;ÔÇörnn2rr .   &#9516;&#282; .
3 July 2008   V ÔÇÖ.-v
Acc0ur1tNurribsr&#9516;&#282; ooscnzca ~   r V ==r V  
&#9516;&#282;ÔÇ&#347; ÔÇÖ &#9516;&#282;~ _ &#9516;&#260;
ÔÇ&#347; &#9516;&#9559; .       {v=;     ; ;:&#9516;&#9559; e -i = ~; ;ÔÇö
.. . r , 1 .
E I.|I|ll"||ll|l||l||I|.."||ll|I.|lI.
&#9500;&#281; azaosa-coins loca)
&#9516;ž MR VOYTEK EYMONT
ItÔÇÖs smart, itÔÇÖs easy, it saves
Dear Mr Eymont
Good newsl Well be in our area in the next cou e of weeks and weÔÇÖd like
to offer ou an eas wa to hel the environment An
_ Y _ _ Y Y Y P _
EnergySave Check Up is a simple service ÔÇö free of charge' ÔÇö that can
help you to reduce your ener consumption.
GY
Your Ene Save Check Up is perfomied in our home by an approved Ene
Australia re resentative. It includes:
FGY _ _ Y _ FQY P
ÔÇó the installation of up to six compact fluorescent energy saving light
bulbs to replace energy inefhcient incandescent bulbs;
ÔÇó the replacement of up to two inefficient showerheads in you home with
low flow showerheads;
ÔÇó some general tips on how you can save energy; and
ÔÇó a written report after the check up is complete.
Smart Ways to Save with Energysave
Energy efficient Iighthulbsx
You probably know that energy efficient lightbulbs are better for the
environment but did you know they use up to 80% less energy
than regular bulbs? They also last up to fifteen times longer and have
lower greenhouse gas emissions than incandescent bulbs.
Water Saving devices:
Using a low flow showerhead to replace an old showerhead can reduce your
water usage in the shower by up to 40% meaning you
consume less hot water and therefore less energy. ItÔÇÖs good news for
everyone!
General tips on using less:
There are so many things around the home you can do to use less energy
like using gas instead of electricity for cooking and heating
or even getting rid of a spare fridge. As part of the Energysave Check Up,
our installers will help identify areas ln your home where
you could use less energy.
This offer expires on 1 August 2008 so please call 1800 884 899 or visit
energy dot com dot au and follow the EnergySave link to make an
appointment. Why not arrange it today - it's smart, its simple and it saves.
Yours sincerely,
..` UL i
ii&#9500;&#281;try Mw}
Mike Bailey
Executive General Manager- Retail
Supported by the NSW G&#9516;&#260;vernment's Energy Savings Fund
Assignment of rights
N 'There is no monetary fee payable, but you will need to assign to
EnergyAustralia all emission reduction rights associated with the
&#9516;ž service. Il you want to become "carhon neutraI" in the future you
may also need to purchase extra offsets to reflect the rights assigned
under this service.
Q
&#9516;ž

-----

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   5 ==========================**

Date:  Mon, 28 Jul 2008 22:38:02 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Tesseract

<quote who="Alan Duval">

> Program field:              C:\OCR\tesseract.exe
> Parameters:                   image[N1].tif  [N2]
> Working directory:     C:\OCR
>
>
> Now when I click on the program object a window comes up asking for the
> value of N1 which I type in and press enter. Then the same happens for N2
> and the image is processed. With my word processor opened I can then open
> the file and correct any mistakes.
>
> Kris suggests that a REXX program could be written to simplify further
> the process. AS I don't know REXX I wonder whether someone could help?

so, N1 is say '123' and, N2, corresponding text file like '123.txt'
so, do you just want to process *.tiff into likewise named txt, is this
the general idea ?

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   6 ==========================**

Date:  Mon, 28 Jul 2008 22:45:46 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Tesseract

<quote who="Voytek Eymont">
>

> <quote who="Alan Duval">
>
>
>> Program field:              C:\OCR\tesseract.exe
>> Parameters:                   image[N1].tif  [N2]
>> Working directory:     C:\OCR
>>
>>
>>
>> Now when I click on the program object a window comes up asking for the
>>  value of N1 which I type in and press enter. Then the same happens for
>> N2
>> and the image is processed. With my word processor opened I can then
>> open the file and correct any mistakes.
>>
>> Kris suggests that a REXX program could be written to simplify further
>> the process. AS I don't know REXX I wonder whether someone could help?
>
>
> so, N1 is say '123' and, N2, corresponding text file like '123.txt' so, do
> you just want to process *.tiff into likewise named txt, is this the
> general idea ?

actually, wouldn't 'runfor' do it for you ?

runfor  Ver 1.9 - Run a command - Mar 31 1998,  W. Kim

Syntax: runfor [options] [targets] [-e envs] [-x names] : [ at ]command [args]

Options: (can go anywhere before ':')   -? -h  Help screen (long)
  -c     Confirm before execution       -q[q]  Quiet [quieter] mode
  -C     Change the default dir         -Q[#]  Quit if an exit code >= #
  -d -a  Targets are dirs / files+dirs  -r[-]  Recursive run for all subdirs
  -m     Do not expand macros           -t     Don't search targets on disk
  -o {*|-}  Output cmds to file/stdout  -u     Unix style path name('/')
  -p[i]  POSIX pattern matching         -w[w]  Change working dir [target
dir]
  +/-R +/-H +/-S +/-A +/-E* Attributes  +/-B ddd[K|M]  Minimum/Maximum size
  +/-T[m|a|c][+][yy-mm-dd][;][hh:mm:ss] Files/dirs AFTER(+)/BEFORE(-)
date/time
  targets  Target files or dirs         %l %u %x Expand to lower/upper/unix
   at file    Read "file" for names        - at  *     Next arg is a target name
  -x[ at ] *  Exclude names from targets   -e *     Set env vars before running
  :  at cmd   Direct execute without shell (see longer help by -?)
Macro Codes for command + arguments:  %% = % itself   %F = d:\path\name.ext
   %d = drive:        %n = name       %p = \path\     %r = relative_path\
   %f = name.ext      %e = .ext       %P = \path      %R = relative_path
   %E[*] = EA name(s) %L = .LONGNAME  %w# = (#+1)th wildcard expansion
   %T[m|a|c] = File date/time         %B  = Size in bytes (%m prefix for K,M)
   %#[#...]  = Counter for targets    %(ENV_NAME) =Env variable;
case-sensitive
   %l %m %u %x  prefix modifiers to convert to
lower/mixed/uppercase/unix-path

-- 
Voytek

----------------------------------------------------------------------------------